Anonymize message

PATCH
/v1/conversations/{conversationId}/messages/{messageId}/anonymize

Request the anonymization of a single message in a conversation.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Path Parameters

conversationId*integer

the id of the conversation in which the message belongs

Formatint64
messageId*string

the id of the message to anonymize

Formatuuid

Response Body

The message's anonymization request status

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://dev.dixa.io/v1/conversations/{conversationId}/messages/{messageId}/anonymize' \  -H 'Authorization: <API token>'
{
"data": {
"id": "b165fdaa-51d6-44b0-bfcd-5f431d623fa7",
"entityType": "MessageAnonymizationType",
"_type": "Message",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "10749_1b9adc49-62f7-4056-a9c0-c18c1f25afdb",
"requestedBy": "4c7af391-b7fd-4560-9d82-b3464eef8776"
}
}